Bug 478289 - Support LDAP message extendedRequest.
Support LDAP message extendedRequest.
Status: NEW
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.1
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:15 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:15:17 EST
While integrating xwiki to a penrose instance as LDAP server. It fails with timeouts as exception.
Xwiki uses the jldap client to connect to the LDAP server and this client uses an LDAP message Extended request that is not implemented in penrose.
Additional Comments From cnico dated Fri Dec 19 04:05:00 CST 2008 
Test case developped to reproduce the problem.

Additional Comments From cnico dated Fri Dec 19 04:10:48 CST 2008 
Patch files produced with tortoiseSVN that contains the correction I implemented to this problem.

The patch of java-backend-1.1 has been produced from subversion revision 801 in date of 23 march 2007.
The patch of penrose-server has been produced from subversion tag 1.2.4.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {}
                          ],
          'attachmentNames' => 'penrose-java-backend-1.1-addextendedreq.patch',
          'reporter' => 'cnico',
          'key' => 'PENROSE-341',
          'assignee' => 'jimyang',
          'summary' => 'Integration with xwiki impossible because penrose does not support LDAP message extendedRequest.',
          'id' => '11090',
          'updated' => '2008-12-19 04:10:49.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-17 00:00:00.0',
                                 'sequence' => '26',
                                 'name' => 'Penrose-1.2.4',
                                 'released' => 'true',
                                 'id' => '10123',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'While integrating xwiki to a penrose instance as LDAP server. It fails with timeouts as exception.
Xwiki uses the jldap client to connect to the LDAP server and this client uses an LDAP message Extended request that is not implemented in penrose.',
          'created' => '2008-12-19 04:03:51.0',
          'type' => '1'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.